Bug 1212353 (CVE-2015-3414) - CVE-2015-3414 sqlite: use of uninitialized memory when parsing collation sequences in src/where.c
Summary: CVE-2015-3414 sqlite: use of uninitialized memory when parsing collation sequ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-3414
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1212360 1244731 1244732
Blocks: 1212358
TreeView+ depends on / blocked
 
Reported: 2015-04-16 09:05 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:31 UTC (History)
8 users (show)

Fixed In Version: SQLite 3.8.9
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way SQLite handled dequoting of collation-sequence names. A local attacker could submit a specially crafted COLLATE statement that would crash the SQLite process, or have other unspecified impacts.
Clone Of:
Environment:
Last Closed: 2015-08-17 12:26:12 UTC


Attachments (Terms of Use)
Backported upstream patch for RHEL7 (6.91 KB, patch)
2015-07-23 09:25 UTC, Jan Staněk
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1635 normal SHIPPED_LIVE Moderate: sqlite security update 2015-08-17 15:44:43 UTC

Description Vasyl Kaigorodov 2015-04-16 09:05:13 UTC
It was reported that SQLite was was using uninitialized memory when parsing collation sequences.
This issue was fixed by following upstream commit:

https://www.sqlite.org/src/info/eddc05e7bb31fae7

More information about this issue can be found in the links below:
http://www.securityfocus.com/archive/1/535269
http://lcamtuf.blogspot.fr/2015/04/finding-bugs-in-sqlite-easy-way.html

Comment 1 Jan Staněk 2015-04-16 09:19:03 UTC
The issue is fixed in the latest upstream release, which is currently in updates-testing for F20 and newer.

Comment 2 Vasyl Kaigorodov 2015-04-16 09:20:17 UTC
Created sqlite tracking bugs for this issue:

Affects: fedora-all [bug 1212360]

Comment 3 Fedora Update System 2015-04-22 22:46:06 UTC
spatialite-tools-4.2.0-10.fc21, sqlite-3.8.9-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-04-23 16:09:07 UTC
spatialite-tools-4.2.0-10.fc22, sqlite-3.8.9-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-04-26 12:56:47 UTC
spatialite-tools-4.1.1-12.fc20, sqlite-3.8.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Vasyl Kaigorodov 2015-04-28 13:34:33 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2015-3414 to
the following vulnerability:

Name: CVE-2015-3414
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-3414
Assigned: 20150424
Reference: https://www.sqlite.org/src/info/eddc05e7bb31fae74daa86e0504a3478b99fa0f2

SQLite before 3.8.9 does not properly implement the dequoting of
collation-sequence names, which allows context-dependent attackers to
cause a denial of service (uninitialized memory access and application
crash) or possibly have unspecified other impact via a crafted COLLATE
clause, as demonstrated by COLLATE"""""""" at the end of a SELECT
statement.

Comment 9 Siddharth Sharma 2015-07-03 09:03:04 UTC
RHEL 5 and 6 are *NOT affected by this flaw as the code affected by this CVE is not present in the sqlite package shipped for these products.

Comment 12 Jan Staněk 2015-07-23 09:25:49 UTC
Created attachment 1055262 [details]
Backported upstream patch for RHEL7

Comment 13 errata-xmlrpc 2015-08-17 11:45:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:1635 https://rhn.redhat.com/errata/RHSA-2015-1635.html


Note You need to log in before you can comment on or make changes to this bug.